During the process of editing a table (having an open table, after we click on 'Start editing' in 'Table' of menu bar and done some
changes in our table), sometimes we want to save these changes without finish the edition to be sure that if the program has a fatal
error or the computer suddenly log out..., for we don't lose all we did...

At this moment, if we want to do it, we have to finish the edition then save changes, and after begin again the edition.

For that, It would be of great use to implement a button for save changes when editing.

History
#1 - 08/03/2012 12:39 PM - Jorge Sanz

Vicent Domenech wrote:

During the process of editing a table (having an open table, after we click on 'Start editing' in 'Table' of menu bar and done some changes in our
table), sometimes we want to save these changes without finish the edition to be sure that if the program has a fatal error or the computer
suddenly log out..., for we don't lose all we did...

At this moment, if we want to do it, we have to finish the edition then save changes, and after begin again the edition.

For that, It would be of great use to implement a button for save changes when editing.

Hi Vicent,

This is a long standing issue. The problem is about the stack of commands. That is, when you save your changes all the commands you've made are
persisted (somwhat) and there is no way after saving to undo any change. So the solution about making a shortcut of the "save -> start editing" is
possible but with this behavior: the command stack is resetted.

Maybe a message explaining this on the button would at least explain clearly the behavior to the user to avoid unexpected surprises. Is this acceptable
to you?

By the way, I think this issue has been discussed at mailing lists.

#2 - 08/03/2012 01:47 PM - Vicent Domenech
Hi Jorge,
I didn't know that this issue has been discussed at mailing lists and I found it interesting to make this feature requests.

Being a long standing issue, maybe with a explaining message could be a solution.

#3 - 10/30/2012 06:45 PM - Manuel Madrid
- Priority changed from Normal to Low

#4 - 04/15/2020 12:55 PM - Álvaro Anguix
- Status changed from New to Won't fix
